%define contentdir /var/www

Summary:	Squid report generator per user/ip/name
Name:		sarg
Version:	2.3.10
Release:	%mkrel 1
License:	GPLv2+
Group:		Monitoring
URL:		http://sarg.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/sarg/%{name}-%{version}.tar.xz
Source1:	0sarg.daily
Source2:	0sarg.weekly
Source3:	0sarg.monthly
Source4:	sarg.conf.mandriva
Requires:	squid, bash
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Sarg (was Sqmgrlog) generate reports per user/ip/name from SQUID log file.
The reports will be generated in HTML or email.

%prep

%setup -q

%build
%cmake

%make

%install
rm -rf %buildroot
%make_install -C build

mkdir -p %buildroot/%{_sysconfdir}/%name
cp %buildroot/usr/etc/%name/* %buildroot/%{_sysconfdir}/%name
rm -rf %buildroot/usr/etc/%name

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,squid)
%{_bindir}/%name
%{_bindir}/%name-2.3.10.
%{_sysconfdir}/%name
%{_datadir}/man/man1/sarg.1.bz2
%{_datadir}/sarg/fonts/DejaVuSans.ttf
%{_datadir}/sarg/fonts/FreeSans.ttf
%{_datadir}/sarg/images/datetime.png
%{_datadir}/sarg/images/graph.png
%{_datadir}/sarg/images/sarg-squidguard-block.png
%{_datadir}/sarg/images/sarg.png
%{_datadir}/sarg/sarg-php/COPYING
%{_datadir}/sarg/sarg-php/INSTALL
%{_datadir}/sarg/sarg-php/LANGUAGES
%{_datadir}/sarg/sarg-php/language.php
%{_datadir}/sarg/sarg-php/locale/en_EN/LC_MESSAGES/messages.mo
%{_datadir}/sarg/sarg-php/locale/en_EN/LC_MESSAGES/messages.po
%{_datadir}/sarg/sarg-php/locale/fr/LC_MESSAGES/messages.mo
%{_datadir}/sarg/sarg-php/locale/fr/LC_MESSAGES/messages.po
%{_datadir}/sarg/sarg-php/locale/pt_BR/LC_MESSAGES/messages.mo
%{_datadir}/sarg/sarg-php/locale/pt_BR/LC_MESSAGES/messages.po
%{_datadir}/sarg/sarg-php/locale/ru/LC_MESSAGES/messages.mo
%{_datadir}/sarg/sarg-php/locale/ru/LC_MESSAGES/messages.po
%{_datadir}/sarg/sarg-php/sarg-block-it.php
%{_datadir}/sarg/sarg-php/sarg-realtime.php
%{_datadir}/sarg/sarg-php/sarg-squidguard-block.php
%{_datadir}/sarg/sarg-php/sarg-squidguard-block2.php
%{_datadir}/sarg/sarg-php/style.php
%{_datadir}/sarg/sarg-php/translate.this


%changelog
* Wed Feb 15 2017 adrianomorselli <adrianomorselli> 2.3.10-1uplos2017
- update
- removed old stuff
